package com.steering.pss.sale.order.craftDesign.model;

/**
 * 数据库表CRAFT_ORD_DESIGN_MSC_PL_PC所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-DG6B81Q   date 2015-11-06
 */
@SuppressWarnings("serial")
public class CraftOrdDesignMscPlPcEntity implements java.io.Serializable {
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     */
    private String ordLnDlyPk = "";
    /**
     * 全程产线号(COM_MSC_BACKLOG)
     */
    private String mscPline = "";
    /**
     * 交货结束日期/最迟交货日期
     */
    private String delvryEdate = "";
    /**
     * 交货量
     */
    private String delvryQty = "";
    /**
     * 订货计量单位(支、吨、米)
     */
    private String orderUnit = "";
    /**
     * 收货单位编码
     */
    private String receivNo = "";
    /**
     * 收货单位名称
     */
    private String receivNm = "";
    /**
     * 推荐交货期
     */
    private String rcmdDelvryEdate = "";
    /**
     * 生产周期(以Day为单位)
     */
    private String prdCyc = "";
    /**
     * 生产周期(批量)
     */
    private String prdCycBtch = "";
    /**
     * 是否新物料(0:否;1:是)
     */
    private String nMaterialFl = "";
    /**
     * 周期修正(以Day为单位，在新物料时维护)
     */
    private String cycEdit = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @return value
     */
    public String getMscPline() {
        return mscPline;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @param mscPline value
     */
    public void setMscPline(String mscPline) {
        this.mscPline = mscPline;
    }

    /**
     * 交货结束日期/最迟交货日期
     * @return value
     */
    public String getDelvryEdate() {
        return delvryEdate;
    }

    /**
     * 交货结束日期/最迟交货日期
     * @param delvryEdate value
     */
    public void setDelvryEdate(String delvryEdate) {
        this.delvryEdate = delvryEdate;
    }

    /**
     * 交货量
     * @return value
     */
    public String getDelvryQty() {
        return delvryQty;
    }

    /**
     * 交货量
     * @param delvryQty value
     */
    public void setDelvryQty(String delvryQty) {
        this.delvryQty = delvryQty;
    }

    /**
     * 订货计量单位(支、吨、米)
     * @return value
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 订货计量单位(支、吨、米)
     * @param orderUnit value
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 收货单位编码
     * @return value
     */
    public String getReceivNo() {
        return receivNo;
    }

    /**
     * 收货单位编码
     * @param receivNo value
     */
    public void setReceivNo(String receivNo) {
        this.receivNo = receivNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivNm() {
        return receivNm;
    }

    /**
     * 收货单位名称
     * @param receivNm value
     */
    public void setReceivNm(String receivNm) {
        this.receivNm = receivNm;
    }

    /**
     * 推荐交货期
     * @return value
     */
    public String getRcmdDelvryEdate() {
        return rcmdDelvryEdate;
    }

    /**
     * 推荐交货期
     * @param rcmdDelvryEdate value
     */
    public void setRcmdDelvryEdate(String rcmdDelvryEdate) {
        this.rcmdDelvryEdate = rcmdDelvryEdate;
    }

    /**
     * 生产周期(以Day为单位)
     * @return value
     */
    public String getPrdCyc() {
        return prdCyc;
    }

    /**
     * 生产周期(以Day为单位)
     * @param prdCyc value
     */
    public void setPrdCyc(String prdCyc) {
        this.prdCyc = prdCyc;
    }

    /**
     * 生产周期(批量)
     * @return value
     */
    public String getPrdCycBtch() {
        return prdCycBtch;
    }

    /**
     * 生产周期(批量)
     * @param prdCycBtch value
     */
    public void setPrdCycBtch(String prdCycBtch) {
        this.prdCycBtch = prdCycBtch;
    }

    /**
     * 是否新物料(0:否;1:是)
     * @return value
     */
    public String getNMaterialFl() {
        return nMaterialFl;
    }

    /**
     * 是否新物料(0:否;1:是)
     * @param nMaterialFl value
     */
    public void setNMaterialFl(String nMaterialFl) {
        this.nMaterialFl = nMaterialFl;
    }

    /**
     * 周期修正(以Day为单位，在新物料时维护)
     * @return value
     */
    public String getCycEdit() {
        return cycEdit;
    }

    /**
     * 周期修正(以Day为单位，在新物料时维护)
     * @param cycEdit value
     */
    public void setCycEdit(String cycEdit) {
        this.cycEdit = cycEdit;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}